# vim: set sw=4 ts=4 et:

Name:           qdvdauthor
Version:        2.3.1
Release:        2.3

Summary:        GUI frontend for dvdauthor and other related tools
URL:            http://qdvdauthor.sourceforge.net
License:        GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors

Source0:        %{name}-%{version}.tar.gz

Patch0:         qdvdauthor-remove-builddate.patch
Patch1:         ffmpeg-avcodec-encode.patch

Requires:       bc bzip2 dv2sub dvdauthor dvd-slideshow ImageMagick
Requires:       lame mjpegtools MPlayer sox

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  dvdauthor MPlayer qt3-devel
BuildRequires:  qt3-devel-tools update-desktop-files
BuildRequires:  libqt4-devel libffmpeg_oldabi-devel
BuildRequires:  fdupes

# not needed, but makes the build fail if the deps are not in the repo:
BuildRequires:  dv2sub dvdauthor dvd-slideshow lame mjpegtools MPlayer sox

%description
QDVDAuthor is a gui frontend for using dvdauthor and dvd-slideshow scripts to easily 
build DVD menus and assemble the DVD VOB files.

%prep
%setup -q -n %{name}-%{version}

%patch0 -p1
%patch1

%build
./configure -n \
    --omit-local-ffmpeg \
    --build-qslideshow \
    --prefix="%{_prefix}" \
    --system-path="%{_prefix}" \
    --qt3-dir="%{_usr}/lib/qt3" \
    --qt4-dir="%{_usr}"

%install
# qdvdauthor
%__mkdir_p %{buildroot}/%{_bindir}
%__install -m 0755 bin/qdvdauthor %{buildroot}/%{_bindir}/
%__mkdir_p %{buildroot}/%{_datadir}/%{name}
%__install -m 0644 qdvdauthor/i18n/qdvdauthor*.qm %{buildroot}/%{_datadir}/qdvdauthor/
%__mkdir_p %{buildroot}/%{_datadir}/%{name}/html/en
%__install -m 0644 doc/html/en/*.html %{buildroot}/%{_datadir}/qdvdauthor/html/en/
%__install -m 0644 silence.mp2 silence.ac3 %{buildroot}/%{_datadir}/qdvdauthor/
%__mkdir_p %{buildroot}/%{_datadir}/qdvdauthor/plugins/menuslide/backround
%__install -m 0644 qdvdauthor/plugins/menuslide/background00000.jpg %{buildroot}/%{_datadir}/qdvdauthor/plugins/menuslide/backround/ 

# qrender
%__install -m 0755 bin/qrender %{buildroot}/%{_bindir}/

# qplayer
%__install -m 0755 bin/qplayer %{buildroot}/%{_bindir}/
%__install -m 0644 qdvdauthor/i18n/qplayer*.qm %{buildroot}/%{_datadir}/qdvdauthor/

# qslideshow
%__install -m 0755 bin/qslideshow %{buildroot}/%{_bindir}/
%__install -m 0644 qdvdauthor/i18n/qslideshow*.qm %{buildroot}/%{_datadir}/qdvdauthor/

# addons
%__install -d "%{buildroot}/%{_libdir}/%{name}/plugins"
%__mkdir_p %{buildroot}/%{_datadir}/%{name}/lib
%__cp -a lib/libjhead.so* %{buildroot}/%{_libdir}/qdvdauthor/
for f in "%{buildroot}%{_libdir}/qdvdauthor"/*.so*; do
    b="${f##*/}"
    %__ln_s "%{_libdir}/qdvdauthor/$b" "%{buildroot}%{_datadir}/qdvdauthor/lib/$b"
done

# plugins
%__install -d "%{buildroot}/%{_datadir}/%{name}/plugins"
%__cp -a qdvdauthor/plugins/plugins/libsimpledvd.so* %{buildroot}/%{_libdir}/qdvdauthor/plugins/
%__cp -a qdvdauthor/plugins/plugins/libcomplexdvd.so* %{buildroot}/%{_libdir}/qdvdauthor/plugins/
for f in "%{buildroot}%{_libdir}/qdvdauthor/plugins"/*.so*; do
    b="${f##*/}"
    %__ln_s "%{_libdir}/qdvdauthor/plugins/$b" "%{buildroot}%{_datadir}/qdvdauthor/plugins/$b"
done

%__mkdir_p %{buildroot}/%{_datadir}/qdvdauthor/plugins/simpledvd/
%__install -m 0644 qdvdauthor/plugins/simpledvd/background.jpg %{buildroot}/%{_datadir}/qdvdauthor/plugins/simpledvd/
%__install -m 0644 qdvdauthor/plugins/simpledvd/main.png %{buildroot}/%{_datadir}/qdvdauthor/plugins/simpledvd/
%__install -m 0644 qdvdauthor/plugins/simpledvd/prev.png %{buildroot}/%{_datadir}/qdvdauthor/plugins/simpledvd/
%__install -m 0644 qdvdauthor/plugins/simpledvd/next.png %{buildroot}/%{_datadir}/qdvdauthor/plugins/simpledvd/
%__mkdir_p %{buildroot}/%{_datadir}/qdvdauthor/plugins/complexdvd/
%__install -m 0644 qdvdauthor/plugins/complexdvd/background.jpg %{buildroot}/%{_datadir}/qdvdauthor/plugins/complexdvd/
%__install -m 0644 qdvdauthor/plugins/complexdvd/main.png %{buildroot}/%{_datadir}/qdvdauthor/plugins/complexdvd/
%__install -m 0644 qdvdauthor/plugins/complexdvd/prev.png %{buildroot}/%{_datadir}/qdvdauthor/plugins/complexdvd/
%__install -m 0644 qdvdauthor/plugins/complexdvd/next.png %{buildroot}/%{_datadir}/qdvdauthor/plugins/complexdvd/

# other
%__mkdir_p %{buildroot}/%{_datadir}/applications
%__install -m 0644 qdvdauthor.desktop %{buildroot}/%{_datadir}/applications/
%__mkdir_p %{buildroot}/%{_datadir}/pixmaps
%__install -m 0644 qdvdauthor.png %{buildroot}/%{_datadir}/pixmaps/

%suse_update_desktop_file -r %{name} AudioVideo DiscBurning

L="$PWD/%{name}.lang"
echo -n >"$L"
pushd "%{buildroot}%{_datadir}/qdvdauthor"
/bin/ls -1 *.qm | while read qm; do
    l="${qm##*/}"
    l="${l%.qm}"
    echo "%lang($l) %{_datadir}/qdvdauthor/$qm" >>"$L"
done
popd

%fdupes -s "%{buildroot}%{_datadir}/qdvdauthor"

%post
/sbin/ldconfig
%desktop_database_post

%postun
/sbin/ldconfig
%desktop_database_postun

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc CHANGELOG COPYING README TODO
# qdvdauthor
%{_bindir}/qdvdauthor
%dir %{_datadir}/qdvdauthor
%dir %{_datadir}/qdvdauthor/html
%dir %{_datadir}/qdvdauthor/html/en
%{_datadir}/qdvdauthor/html/en/*
%{_datadir}/qdvdauthor/silence.*
%dir %{_datadir}/qdvdauthor/plugins
%dir %{_datadir}/qdvdauthor/plugins/menuslide
%dir %{_datadir}/qdvdauthor/plugins/menuslide/backround
%{_datadir}/qdvdauthor/plugins/menuslide/backround/background00000.jpg

# qrender
%{_bindir}/qrender

# qplayer
%{_bindir}/qplayer

# qslideshow
%{_bindir}/qslideshow

# addons
%{_libdir}/%{name}
%dir %{_datadir}/qdvdauthor/lib
%{_datadir}/qdvdauthor/lib/libjhead.so*
%{_datadir}/qdvdauthor/plugins/libsimpledvd.so*
%dir %{_datadir}/qdvdauthor/plugins/simpledvd
%{_datadir}/qdvdauthor/plugins/simpledvd/*.jpg
%{_datadir}/qdvdauthor/plugins/simpledvd/*.png
%{_datadir}/qdvdauthor/plugins/libcomplexdvd.so*
%dir %{_datadir}/qdvdauthor/plugins/complexdvd
%{_datadir}/qdvdauthor/plugins/complexdvd/*.jpg
%{_datadir}/qdvdauthor/plugins/complexdvd/*.png

# other
%{_datadir}/applications/qdvdauthor.desktop
%{_datadir}/pixmaps/qdvdauthor.png


%changelog
* Wed Mar 26 2014 fisiu@opensuse.org
- Update to 2.3.1.
- Drop qdvdauthor-gcc47.patch: fixed upstream.
- Add ffmpeg-avcodec-encode.patch: fix build with ffmpeg_oldabi.
* Mon Mar 24 2014 seife+obs@b1-systems.com
- remove bogus libmagick++ dependency
* Wed Oct 17 2012 seife+obs@b1-systems.com
- fix dependency on no longer existing ImageMagick-Magick++
* Thu May 31 2012 seife+obs@b1-systems.com
- remove builddate from binaries again
- fix build with gcc 4.7 again
* Mon May 28 2012 Manfred.Tremmel@iiv.de
- update to 2.3.0
- build against ffmpeg_oldabi, because of deprecated api
* Thu May 17 2012 seife+obs@b1-systems.com
- fix 12.1 buildfix patch
- fix build with gcc 4.7 (> 12.1)
- remove builddate from binaries to avoid republishing
* Mon Jun 13 2011 Manfred.Tremmel@iiv.de
- fix compile with latest ffmpeg snapshot
* Sun Mar  6 2011 pascal.bleser@opensuse.org
- moved shared libs into %%{_libdir}, with symbolic links in %%{_datadir}
  (the sources are too convoluted to patch that appropriately)
- added Requires as BuildRequires, to make builds fail if stuff is missing in
  our repository
* Wed Apr 28 2010 Manfred.Tremmel@iiv.de
- fix compile with latest ffmpeg snapshot
* Sat Jan  9 2010 pascal.bleser@opensuse.org
- update to 2.1.0
* Mon Nov 30 2009 detlef@links2linux.de
- build qrender
* Sun Nov 22 2009 detlef@links2linux.de
- doen't use project install script, it's broken :(
* Thu Sep 24 2009 rainer@links2linux.de
- update for new ffmpeg
* Tue May  5 2009 rainer@links2linux.de
- added libcaca0 buildrequires
* Sun Jan 18 2009 rainer@links2linux.de
- version 1.7.0
- moved menu entry to AudioVideo DiscBurning
* Sat Dec 20 2008 rainer@links2linux.de
- use configure --install
* Thu Dec 18 2008 rainer@links2linux.de
- 1.6.1
- added menuslide plugin
* Tue Sep  2 2008 rainer@links2linux.de
- added several files from spec file in tgz (thx to D. Scott Barninger <barninger at fairfieldcomputers.com>)
* Sun Aug 10 2008 rainer@links2linux.de
- removed qrender
- added special lib directory
* Tue Apr  1 2008 rainer@links2linux.de
- adjusted file list
* Fri Nov 23 2007 rainer@links2linux.de
- added silence.mp2
* Sat Feb  3 2007 rainer@links2linux.de
- removed any2vob
* Thu Dec 21 2006 rainer@links2linux.de
- switched to twolame fpr opensuse10.2
* Sat Mar 11 2006 rainer@links2linux.de
- now using mplayer instead of xine due to possible problems with movie length detection
* Sat Nov  6 2004 rainer@links2linux.de
- first packman release
  Tue Mar  9 00:00:00 UTC 2004 - D. Scott Barninger <barninger at fairfieldcomputers.com>
- updated dvd-slideshow to 0.5.4
- add dir2slideshow script & man page
- add gallery2slideshow man page
- add jigl2slideshow man page
- added sox to prerequisites (required by dvd-slideshow)
- removed redundant permissions attributes in files section (also bad form per Michael K. Johnson)
- added additional clean of build_root to top of install section
- removed clean of build_dir
  Tue Feb 17 00:00:00 UTC 2004 - D. Scott Barninger <barninger at fairfieldcomputers.com>
- changed qt requirement to 3.1
- fixed location of description section; dependencies weren't working
  Sun Feb 15 00:00:00 UTC 2004 - D. Scott Barninger <barninger at fairfieldcomputers.com>
- initial spec file
